Package org.codehaus.groovy.runtime.m12n

# Class ExtensionModuleRegistry

java.lang.Object
org.codehaus.groovy.runtime.m12n.ExtensionModuleRegistry

public class ExtensionModuleRegistry extends Object
The extension method registry is responsible for collecting methods (or static methods) which are added to existing classes and may be called like regular methods.

In previous Groovy versions, such methods could only be defined in a single class called `DefaultGroovyMethods` for instance methods, and `DefaultGroovyStaticMethods` for static methods.

Since:
  2.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtensionModuleRegistry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addModule(ExtensionModule module)`
  `ExtensionModule`
  `getModule(String moduleName)`
  `List<ExtensionModule>`
  `getModules()`
  `boolean`
  `hasModule(String moduleName)`
  `void`
  `removeModule(ExtensionModule module)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExtensionModuleRegistry

    public ExtensionModuleRegistry()

- ## Method Details

  - ### addModule

    public void addModule(ExtensionModule module)

  - ### removeModule

    public void removeModule(ExtensionModule module)

  - ### getModules

    public List<ExtensionModule> getModules()

  - ### hasModule

    public boolean hasModule(String moduleName)

  - ### getModule

    public ExtensionModule getModule(String moduleName)